#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	GOST
Summary:	Crypt::GOST Perl module - the GOST encryption algorithm
Summary(pl.UTF-8):	Moduł Perla Crypt::GOST - algorytm kodowania GOST
Name:		perl-Crypt-GOST
Version:	1.00
Release:	8
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Crypt/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	0250fb0539db739baf6608318894d67d
URL:		http://search.cpan.org/dist/Crypt-GOST/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements GOST encryption. It supports the Crypt::CBC
interface. GOST 28147-89 is a 64-bit symmetric block cipher with a
256-bit key developed in the former Soviet Union. Some information on
it is available at http://vipul.net/gost/.

%description -l pl.UTF-8
Ten moduł jest implementacją kodowania GOST. Obsługuje interfejs
Crypt::CBC. GOST 28147-89 jest 64-bitowym symetrycznym szyfrem
blokowym z 256-bitowym kluczem. Został opracowany w byłym Związku
Radzieckim. Więcej informacji na stronie http://vipul.net/gost/.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Crypt/GOST.pm
%dir %{perl_vendorarch}/auto/Crypt/GOST
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/GOST/*.so
%{_mandir}/man3/*
%changelog
* Fri Sep 12 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Crypt-GOST.git;a=log;h=master

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> cf08187
- release 8 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 7e1c660
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 2f84918
- rebuild for perl 5.20
- release 7 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 7e08575
- rebuild with perl 5.18.0
- release 6 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> ef76804
- release 5

* Sat Mar 15 2008 Jakub Bogusz <qboosh@pld-linux.org> facca3b
- generic URL

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 6a7c880
- rel 4

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> bd1f47f
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 8e17a9a
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 02d177a
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 86b5ae8
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> bade39b
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Fri May 07 2004 ankry <ankry@pld-linux.org> 289c423
- rel. 3

* Thu May 06 2004 ankry <ankry@pld-linux.org> bbb31f3
- fixed perl-devel BR

* Wed May 05 2004 ankry <ankry@pld-linux.org> 0b11415
- tests added, cosmetics

* Wed Apr 14 2004 ankry <ankry@pld-linux.org> 3e6556d
- caps and other cosmetics

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 87b4f7c
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 5bb3f1f
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 129706e
- massive attack s/pld.org.pl/pld-linux.org/

* Sat Mar 01 2003 radek <radek@pld-linux.org> 0be68cf
- should be ready for perl-5.8.0; release++

